{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "weight": 54,
          "name": "minecraft:shared_loot_table2"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 120,
          "quality": -1,
          "name": "minecraft:shared_loot_empty"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 50,
          "name": "minecraft:shared_loot_table3"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 6,
          "quality": 1,
          "name": "minecraft:shared_loot_table"
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 1,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:crossbow"
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 1,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "functions": [],
          "name": "minecraft:villager_spawn_egg"
        }
      ]
    },
    {
      "rolls": {
        "min": 2,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 5,
          "quality": -1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 3,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:wheat"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "quality": -1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 60,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:potato"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 1,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:emerald"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "quality": -1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 3,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:carrot"
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 30,
          "quality": -23,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:iron_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 6,
          "quality": 1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 0,
          "quality": 1,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 10,
                "max": 39,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:diamond_sword"
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 4,
          "quality": 1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 1,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:book"
        },
        {
          "type": "minecraft:item",
          "weight": 6,
          "quality": -2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:dark_oak_log"
        }
      ]
    },
    {
      "rolls": {
        "min": 2,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 1,
          "quality": 1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 12,
                "max": 64,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:experience_bottle"
        },
        {
          "type": "minecraft:item",
          "weight": 4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:experience_bottle"
        },
        {
          "type": "minecraft:item",
          "weight": 6,
          "quality": -1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 4,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:string"
        },
        {
          "type": "minecraft:item",
          "weight": 4,
          "quality": -2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 7,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:arrow"
        },
        {
          "type": "minecraft:item",
          "weight": 1,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 5,
                "max": 12,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:arrow"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "quality": -1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:tripwire_hook"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 1,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:coal_block"
        },
        {
          "type": "minecraft:item",
          "weight": 2,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 4,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:obsidian"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:enchant_randomly"
            }
          ],
          "name": "minecraft:book"
        }
      ]
    }
  ]
}
